package com.huiju.estateagents.redpack.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huiju.estateagents.redpack.entity.TaOrgAccount;

/**
 * <p>
 * 系统账户表  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
@Mapper
public interface TaOrgAccountMapper extends BaseMapper<TaOrgAccount> {
    TaOrgAccount getOrgAccountById(@Param("orgId") Integer orgId);

    Integer updateAvailableBalanceById(@Param("accountId") String accountId, @Param("amount") Integer amount);
}
