package com.huiju.estateagents.sample.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.sample.entity.TaContact;
import com.huiju.estateagents.sample.entity.TaH5Sample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 样例表  Mapper 接口
 * </p>
 *
 * @author fxf
 * @since 2020-03-18
 */
@Mapper
@Component
public interface TaH5SampleMapper extends BaseMapper<TaH5Sample> {

    IPage<TaH5Sample> listH5SampleByCondition(IPage<TaH5Sample> pg, String sampleName);

    Boolean batchUpdateStatus(@Param("list") List<TaContact> taContactList, @Param("userId") Integer userId);
}
